#ifndef __DfUtils_H__
#define __DfUtils_H__



//          CMVSource 1.0.0 for AviSynth 2.5.x
//
//  Loads Dwarf Fortress CMV and CCMV movies. Latest release hosted at
//  http://www.gyroshot.com/cmvsource.htm
//
//          Copyright 2011 Robert Martens  robert.martens@gmail.com
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//  
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software Foundation,
//  Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.



#include <sstream>
#include <string>
#include <vector>
#include <Windows.h>

#include "avisynth.h"



std::vector<int> LoadColors(std::string filename, IScriptEnvironment* env);
std::stringstream GetTokenValue(std::string token, std::string buf);



#endif // __DfUtils_H__